package cn.ysk.cashier.dto.order;

import cn.ysk.cashier.pojo.order.TbOrderDetail;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class OrderPriceDTO {
    private BigDecimal originAmount = BigDecimal.ZERO;
    private BigDecimal totalAmount = BigDecimal.ZERO;
    private BigDecimal packAmount = BigDecimal.ZERO;
    // 打折折扣金额
    private BigDecimal discountAmount = BigDecimal.ZERO;
    private boolean hasNewInfo = false;
    private List<TbOrderDetail> newOrderDetailList = new ArrayList<>();
    private List<TbOrderDetail> removeOrderDetailList = new ArrayList<>();
    private List<Integer> removeOrderDetailIds = new ArrayList<>();
    private List<TbOrderDetail> orderDetailList = new ArrayList<>();
}
